Bug 504105 - git-daemon is missing a dependency on xinetd
git-daemon is missing a dependency on xinetd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 05:07 EDT by Ruben Kerkhof
Modified: 2013-01-10 05:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-28 20:01:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2009-06-04 05:07:46 EDT
Description of problem:

Git-daemon can't be started if xinetd is not installed.

Version-Release number of selected component (if applicable):
git-daemon-1.6.2.2-1.fc11.x86_64
Comment 1 Todd Zullinger 2009-06-04 07:58:16 EDT
Funny you mention this, I just brought this up on the fedora-packaging list a few days ago¹.  I do intend to add the xinetd requires, assuming none of the other git maintainers agree with Enrico's opinion that we should _not_ do so.


¹ http://www.redhat.com/archives/fedora-packaging/2009-May/msg00115.html
Comment 2 Ruben Kerkhof 2009-06-04 11:39:33 EDT
Ha, quite a coincidence indeed. My point of view is that we should have software which works out of the box without too much configuration. So either you drop a config file in /etc/xinetd.d and require xinetd, or drop one in /etc/events.d or use daemontools, supervisor. The point is, users probably don't care as long as it does what they expect it should do. But I guess you're not the one I have to convince ;-)
Comment 3 Bug Zapper 2009-06-09 13:03:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Todd Zullinger 2009-06-28 20:01:50 EDT
This was fixed in git-1.6.3.2-1 (in rawhide).  Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.